{
  "description": "ServiceReference holds a reference to Service.legacy.k8s.io",
  "properties": {
    "name": {
      "description": "Name is the name of the service",
      "type": [
        "string",
        "null"
      ]
    },
    "namespace": {
      "description": "Namespace is the namespace of the service",
      "type": [
        "string",
        "null"
      ]
    },
    "port": {
      "description": "If specified, the port on the service that hosting webhook. Default to 443 for backward compatibility. `port` should be a valid port number (1-65535, inclusive).",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    }
  },
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "additionalProperties": false,
  "$id": "https://kubernetes.io/api/servicereference/apiregistration/v1"
}